﻿@model Avira.MarketingResearch.Model.ViewModels.ApplicationUpdateDbViewModel;

@{
    ViewBag.Title = "Edit Application";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<script src="~/ckeditor/ckeditor.js"></script>
<div id="content" class="content">
    <h4>
        Edit Application
    </h4>
    @if (ViewBag.Message != null)
    {
    <div class="alert alert-success alert-bordered show m-b-10">
        <strong>Info!</strong>
        @ViewBag.Message
        <span class="close" data-dismiss="alert">×</span>
    </div>
    }
    <div class="section-container section-with-top-border">

        @using (Html.BeginForm("Edit", "Application", FormMethod.Post))
        {
            @Html.AntiForgeryToken()

            <div class="form-horizontal">


                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.Id)

                <div class="form-group">
                    @Html.LabelFor(model => model.ApplicationName, "Application Name", htmlAttributes: new { @class = "control-label col-md-2 text-left" })
                    <div class="col-md-5">
                        @Html.EditorFor(model => model.ApplicationName, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.ApplicationName, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2 text-left" })
                    <div class="col-md-5">
                        @Html.TextAreaFor(model => model.Description, htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                        <script type="text/javascript">
                            CKEDITOR.replace('Description');
                        </script>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Save" class="btn btn-grey btn-rounded m-b-5 width-100" />
                        <a href="~/Application/Index" class="btn btn-inverse btn-rounded m-b-5 width-100">Back to List </a>
                    </div>
                </div>
            </div>

        }
    </div> <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>
